Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1323871 (phonon-qt5-backend-gstreamer) - Review Request: phonon-qt5-backend-gstreamer - Gstreamer phonon-qt5 backend
Summary: Review Request: phonon-qt5-backend-gstreamer - Gstreamer phonon-qt5 backend
Keywords:
Status: CLOSED ERRATA
Alias: phonon-qt5-backend-gstreamer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1320725
Blocks: kde-reviews qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-04-05 00:39 UTC by Rex Dieter
Modified: 2016-04-22 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-22 19:58:04 UTC
williamjmorenor: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2016-04-05 00:39:28 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/phonon-qt5/phonon-qt5-gstreamer.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/phonon-qt5/phonon-backend-gstreamer-4.8.2-1.fc24.src.rpm
Description: Gstreamer phonon-qt5 backend
Fedora Account System Username: rdieter

This is intended to be an epel-7 only package, to supplement phonon-qt5 (bug #1320725 )

Comment 1 Rex Dieter 2016-04-05 00:42:28 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=13557028

Comment 2 William Moreno 2016-04-06 19:24:59 UTC
Package Review
==============

1- Package installs properly.
   Note: Installation errors (see attachment)
   See: https://fedoraproject.org/wiki/Packaging:Guidelines
   [!]: Rpmlint is run on all installed packages.
   I know this is intended to be a epel only package

2- Spec file name must match the spec package %{name}, in the format
   %{name}.spec.
   There is a package phonon-backend-gstreamer in Fedora, if this is a epel only package there will be no conflic but remane the package to se same name please.
   https://admin.fedoraproject.org/pkgdb/package/rpms/phonon-backend-gstreamer/
   [!]: Package does not generate any conflict.
   [!]: Spec file according to URL is the same as in SRPM.
   phonon-backend-gstreamer.src: E: invalid-spec-name

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.

Rpmlint
-------
Checking: phonon-backend-gstreamer-4.8.2-1.fc25.x86_64.rpm
          phonon-backend-gstreamer-debuginfo-4.8.2-1.fc25.x86_64.rpm
          phonon-backend-gstreamer-4.8.2-1.fc25.src.rpm
phonon-backend-gstreamer.x86_64: W: no-documentation
phonon-backend-gstreamer.src: E: invalid-spec-name
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

Requires
--------
phonon-backend-gstreamer-debuginfo (rpmlib, GLIBC filtered):

phonon-backend-gstreamer (rpmlib, GLIBC filtered):
    gstreamer1-plugins-good
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5OpenGL.so.5()(64bit)
    libQt5OpenGL.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstapp-1.0.so.0()(64bit)
    libgstaudio-1.0.so.0()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstpbutils-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstvideo-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libphonon4qt5.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt5-qtbase(x86-64)
    rtld(GNU_HASH)


Provides
--------
phonon-backend-gstreamer-debuginfo:
    phonon-backend-gstreamer-debuginfo
    phonon-backend-gstreamer-debuginfo(x86-64)

phonon-backend-gstreamer:
    phonon-backend-gstreamer
    phonon-backend-gstreamer(x86-64)
    phonon-qt5-backend(x86-64)

This is the only file in the package, do not make sence for me to be in a devel package.
Unversioned so-files
--------------------
phonon-backend-gstreamer: /usr/lib64/qt5/plugins/phonon4qt5_backend/phonon_gstreamer.so

Source checksums
----------------
http://download.kde.org/stable/phonon/phonon-backend-gstreamer/4.8.2/src/phonon-backend-gstreamer-4.8.2.tar.xz :
  CHECKSUM(SHA256) this package     : 20e0f71f2beb4f859db8385079a13aef5473863ee6f27aad7b065aa7bfe931e0
  CHECKSUM(SHA256) upstream package : 20e0f71f2beb4f859db8385079a13aef5473863ee6f27aad7b065aa7bfe931e0

Comment 3 Rex Dieter 2016-04-06 19:44:39 UTC
SPEC Url: https://rdieter.fedorapeople.org/rpms/phonon-qt5/phonon-qt5-backend-gstreamer.spec

SRPM Url: https://rdieter.fedorapeople.org/rpms/phonon-qt5/phonon-qt5-backend-gstreamer-4.8.2-2.fc24.src.rpm


%changelog
* Wed Apr 06 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-2
- rename phonon-backend-gstreamer => phonon-qt5-backend-gstreamer

Comment 4 William Moreno 2016-04-06 23:57:56 UTC
Looks good for me, aproved.

Comment 5 Rex Dieter 2016-04-07 14:49:49 UTC
Thanks, imported

Comment 6 Fedora Update System 2016-04-07 15:04:33 UTC
phonon-qt5-backend-gstreamer-4.8.2-2.el7 phonon-qt5-4.8.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e9b956ff2

Comment 7 Fedora Update System 2016-04-08 21:49:57 UTC
phonon-qt5-4.8.3-2.el7, phonon-qt5-backend-gstreamer-4.8.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e9b956ff2

Comment 8 Fedora Update System 2016-04-22 19:57:53 UTC
phonon-qt5-4.8.3-2.el7, phonon-qt5-backend-gstreamer-4.8.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.